## org.eclipse.jet.core.parser
Interface IJETParser

All Known Implementing Classes:
  JETASTParser

    public interface IJETParser

Define the behavior of a JET Parser

Method Summary
`java.lang.Object` `parse(char[] template)` Parse contents as a JET template
`java.lang.Object` `parse(java.lang.String templatePath)` Parse the named input template

Method Detail

### parse

    java.lang.Object parse(java.lang.String templatePath)

  Parse the named input template

  Parameters:
    `templatePath` - the template Path
  Returns:
    the root of the AST

### parse

    java.lang.Object parse(char[] template)

  Parse contents as a JET template

  Parameters:
    `template` - the template
  Returns:
    the root of the AST

Copyright 2006 IBM Corporation and others. All Rights Reserved.